@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400..800;1,400..800&display=swap');

:root {

--bg: #FAFFF5;
/* --bg: rgb(20,81,24);*/
--bg2: #EBF2E5;
--text: #6f6e69;
--title: #343331;
--brand: #5F835A;
--border: rgb (230, 228, 217);
--h1font: "EB Garamond", Serif;
--logo: #000;
--max-width: 48rem;
--line-height: 1.5;

--space-xs: 0.5rem;
--space-sm: 1rem;
--space-md: 1.5rem;
--space-1g: 2rem;
--space-x1: 3rem;

/* 5-level typography scale (1rem = 15px) */
--scale-xs: 0.85rem; /* 12px */
--scale-sm: 0.9333rem; /* 14px */
--scale-base: 1.1rem; /* 15px */
--scale-lg: 1.4rem; /* 18px */
--scale-x1: 1.6rem;/* 21px */

  --font: "Inter", Roboto, "Helvetica Neue",sans-serif;
  --weight-medium: 400;
  --weight-bold: 500;
  --weight-xbold: 600;
}

/* Dark theme variables */
[data-theme="dark"] {
--bg: #334131;
--bg2: #444D44;
--text: #Fafff5;
--title: #fafff5；
--brand: rgb(132,177,182);
--border: #33343a;
--logo: #fff;
}

body{max-width:650px;margin:40px auto;padding:0 10px;
font-size:var(--scale-base); 
font-family: var(--font); 
font-weight: var(--weight-medium);
color: var(--text);
background-color:var(--bg); 
text-align:center;}

h1,h2,h3{line-height:var(--line-height); 
font-family: var(--h1font); 
weight: 300;
color: var(--title);
margin-bottom: var(--space-lg);}

blockquote {
margin-bottom: var(--space-lg);
font-style: italic;
font-size: var(--small);
display: block;
}

a {
color: var(--scale-base);
text-decoration: underline;
text-decoration-thickness: 1px;
text-underline-offset: 2px;
}
a:hover {
color: var(--brand);
}

.footer-left h6 {
display:none;
}

.theme-toggle {
display: inline-flex; align-items: center; justify-content: center;border: none;background: none; color: var(--text); cursor: pointer; font-size: 1rem;padding: 0; margin: 0;transition: color 0.3s;｝



/* @media (prefers-color-scheme: 
dark){body{
color:#c9d1d9;
background:#0d1117}
a:link{color:#58a6ff}a:visited{}}
*/
